## LassoIdWsf2DiscoSvcMDRegisterResponse LassoIdWsf2DiscoSvcMDRegisterResponse — <disco:SvcMDRegisterResponse> |

## Functions

LassoIdWsf2DiscoSvcMDRegisterResponse * | lasso_idwsf2_disco_svc_md_register_response_new ()

## Types and Values

struct | LassoIdWsf2DiscoSvcMDRegisterResponse

## Description

Figure 161. Schema fragment for disco:SvcMDRegisterResponse

    <xs:complexType name="SvcMDRegisterResponseType">
      <xs:sequence>

        <xs:element ref="lu:Status" />
        <xs:element ref="SvcMDID"   minOccurs="0" maxOccurs="unbounded" />
        <xs:element ref="Keys"      minOccurs="0" maxOccurs="unbounded" />

      </xs:sequence>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_disco_svc_md_register_response_new ()

    LassoIdWsf2DiscoSvcMDRegisterResponse *
    lasso_idwsf2_disco_svc_md_register_response_new
                                   (void);

Creates a new LassoIdWsf2DiscoSvcMDRegisterResponse object.

#### Returns

a newly created LassoIdWsf2DiscoSvcMDRegisterResponse object

## Types and Values

### struct LassoIdWsf2DiscoSvcMDRegisterResponse

    struct LassoIdWsf2DiscoSvcMDRegisterResponse {
    	LassoNode parent;

    	/* elements */
    	LassoIdWsf2UtilStatus *Status;
    	GList *SvcMDID; /* of strings */
    	GList *Keys; /* of LassoIdWsf2DiscoKeys */
    	/* attributes */
    	GHashTable *attributes;
    };